#ifndef LISTWIDGET_H
#define LISTWIDGET_H

#include <QContextMenuEvent>
#include <QListWidget>

class ListWidget : public QListWidget
{
  Q_OBJECT

public:
  ListWidget(QWidget *parent = 0);

private:
  QAction *actionRemove;
  QMenu *menu;

signals:
  void deletedText(const QStringList& text);

private slots:
  void on_remove_clicked();

protected:
  void contextMenuEvent(QContextMenuEvent* e);
};

#endif // LISTWIDGET_H
